/[gentoo-x86]/virtual/gnus/gnus-5.10.ebuild
Gentoo

Contents of /virtual/gnus/gnus-5.10.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.12 - (show annotations) (download)
Sat Jun 12 20:05:35 2010 UTC (10 years, 5 months ago) by darkside
Branch: MAIN
CVS Tags: HEAD
Changes since 1.11: +1 -1 lines
FILE REMOVED
removed by treecleaners, bug 319601

1 # Copyright 1999-2009 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/virtual/gnus/gnus-5.10.ebuild,v 1.11 2009/11/16 19:49:44 ulm Exp $
4
5 DESCRIPTION="Virtual for the Gnus newsreader"
6 HOMEPAGE=""
7 SRC_URI=""
8
9 LICENSE=""
10 SLOT="0"
11 KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc ~sparc-fbsd x86 ~x86-fbsd"
12 IUSE=""
13
14 RDEPEND="|| ( >=app-emacs/gnus-5.10.8
15 >=virtual/emacs-22 )"
16
17 DEPEND="${RDEPEND}
18 virtual/emacs"
19
20 pkg_setup () {
21 local gvn
22 gvn=$(emacs -batch -q --eval "
23 (progn
24 (require 'gnus)
25 (princ gnus-version)
26 (if (< (gnus-continuum-version gnus-version)
27 (gnus-continuum-version \"Gnus v${PV}\"))
28 (error \"gnus-version too low\")))
29 ")
30
31 if [ $? -eq 0 ]; then
32 einfo "Gnus version \"${gvn}\" detected."
33 else
34 eerror "virtual/${P} requires at least Gnus version ${PV}."
35 eerror "You should either install package app-emacs/gnus,"
36 eerror "or use \"eselect emacs\" to select an Emacs version >= 22."
37 die "Gnus version \"${gvn}\" is too low."
38 fi
39 }

  ViewVC Help
Powered by ViewVC 1.1.20